Bug 1294823 - Scan alignment does not return result on JSONRPC
Scan alignment does not return result on JSONRPC
Status: CLOSED CURRENTRELEASE
Product: vdsm
Classification: oVirt
Component: Core (Show other bugs)
4.17.0
Unspecified Unspecified
unspecified Severity high (vote)
: ovirt-3.6.2
: 4.17.17
Assigned To: Tal Nisan
Aharon Canan
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-30 09:01 EST by Tal Nisan
Modified: 2016-03-10 10:26 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-18 06:16:12 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑3.6.z+
ylavi: planning_ack+
tnisan: devel_ack+
acanan: testing_ack+


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 51607 master MERGED Return correct scan alignment result through jsonrpc 2016-01-10 13:56 EST
oVirt gerrit 51613 ovirt-3.6 MERGED Return correct scan alignment result through jsonrpc 2016-01-11 03:32 EST

  None (edit)
Description Tal Nisan 2015-12-30 09:01:25 EST
Description of problem:
After performing an alignment scan the command fails upon return with a ClassCastException

Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to Reproduce:
In a non active VM with disks on block domains right click on one of the disks and select "Scan Alignment"

Actual results:
Alignment succeeds in VDSM but the command fails in the Engine with "Alignment scan of disk '%diskname%' failed."

Expected results:
If the alignment succeeded in VDSM we should see in the Engine that the command succeeded 

Additional info:
Comment 1 Aharon Canan 2016-01-17 09:22:32 EST
Verified
========
rhevm-3.6.2.5-0.1.el6.noarch
vdsm-4.17.17-0.el7ev.noarch


Steps to Reproduce:
===================
In a non active VM with disks on block domains right click on one of the disks and select "Scan Alignment"


From engine.log
===============
2016-01-17 14:09:54,261 INFO  [org.ovirt.engine.core.dal.dbbroker.auditloghandling.AuditLogDirector] (org.ovirt.thread.pool-7-thread-2) [32486998] Correlation ID: 32486998, Job ID: 3b1a2dc7-1652-4811-bea8-5c80d6a7223e, Call Stack: null, Custom Event ID: -1, Message: Alignment scan of disk 'VM1_Disk1' is complete.

Note You need to log in before you can comment on or make changes to this bug.